/*
 *  hello.c
 *
 *  Urm. Hello World!
 *
 *  Author:
 *    David Fiddes, D.J@fiddes.net
 *    http://fiddes.net/coldfire/
 *
 *  This code has no copyright and may freely be used in whatever 
 *  manner you see fit.
 *
 *  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY 
 *  OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT    
 *  LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR    
 *  FITNESS FOR A PARTICULAR PURPOSE.                              
 */
#include <stdio.h>
#include <stdlib.h>

char *msg = "Hello World\r\n";

void outbyte( char );

void
print_msg( void )
{
  char *p;

  p = msg;
  
  while ( *p != 0 )
  {
    outbyte( *p );
    p++;
  }
}


void *freddy;

int main()
{
  print_msg();

  freddy = malloc( 64*1024 );
  free( freddy );
 
  return 0;
}
